<?php
/**
* @version 1.0.0
* @package RSFiles! 1.0.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport('joomla.application.component.controller');

class rsfilesController extends JController
{

	var $_db;
	function __construct()
	{
		global $mainframe;
		parent::__construct();
		$this->_db=& JFactory::getDBO();		
	}
	
	/* GENERAL TASKS */
	
	function rsfiles()
	{
		JRequest::setVar('view','rsfiles');
		JRequest::setVar('layout','default');
		parent::display();
	}
	
	function download()
	{
		$model = $this->getModel('files');
		$model->getFile();
		exit;
	}
	
}
?>